<?php

namespace App\Actions;

use LaravelViews\Actions\Action;
use LaravelViews\Views\View;
use LaravelViews\Actions\Confirmable;
use Illuminate\Support\Facades\Auth;

class DeleteMedicalReport extends Action
{
    use Confirmable;
    /**
     * Any title you want to be displayed
     * @var String
     * */
    public $title;

    /**
     * This should be a valid Feather icon string
     * @var String
     */
    public $icon = "trash";

     /**
     * 
     */
    public function __construct(){
        parent::__construct();
        $this->title = __("common.viewDelete");
    }

    /**
     * Execute the action when the user clicked on the button
     *
     * @param $model Model object of the list where the user has clicked
     * @param $view Current view where the action was executed from
     */
    public function handle($model, View $view){
     if($model->delete())
            $this->success(__("Success operation"));
    }

    public function getConfirmationMessage($item = null)
    {
        return __('Are you sure continue with this process?');
    }

    /**
     * 
     */
    public function renderIf($model, View $view){
        return (Auth::user()->id === $model->user->id);
    }
}
